# 17. Forespørgsel: Hent "SoilDatasets"

Hent alle "SoilDatasets" for det valgte "Field". Datasæt kan hentes ved hjælp af generiske GraphQL-forespørgsler som `getFarms` og `getFields` fra det tilknyttede "Field".&#x20;

{% hint style="warning" %}
Et "SoilDataset" skal være uploadet på forhånd.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #mønster "<OperationType> <YYYY-mm-DD>"
        operationId #hvis findes
        number #samlet antal geofunktioner
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #komplette detaljer pr. attribut
          name #link til statistik >> attribut
          transliteratedName
          fullName #hvis findes
          unit #hvis findes
        }

        createdDate #enhed oprettet dato og tid i GeoPard
        updatedDate #sidste opdateringsdato og -tid
        operationType
        operationId
        operationFileDate #filens oprettelsesdato og -tid
        operationStartDate #start på operationen
        
        statistics { #statistisk fordeling for hver jordattribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNavn
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        navn  
        operationId #hvis findes 
        number #samlet antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #link til statistik >> attribut
          transliteratedName
          fullName #hvis findes
          unit #hvis findes
        }
      
        createdDate #oprettet dato og -tid i GeoPard
        updatedDate #sidste opdatering dato og -tid i GeoPard
        operationFileDate #filens oprettelsesdato og -tid (hvis findes)
        operationStartDate #start på operationen (hvis findes)
      
        statistics { #statistisk fordeling for hver jordattribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #visuel repræsentation
          url
          kortNavn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/oversigt-over-geopard-api-anmodninger/17.-foresporgsel-hent-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
